Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.queries
Interface JavadocForBinaryQueryImplementation

    public interface JavadocForBinaryQueryImplementation

A query to find Javadoc root for the given classpath root.

A default implementation is registered by the `org.netbeans.modules.java.project` module which looks up the project corresponding to the binary file and checks whether that project has an implementation of this interface in its lookup. If so, it delegates to that implementation. Therefore it is not generally necessary for a project type provider to register its own global implementation of this query, if it depends on the Java Project module and uses this style.

Since:
  org.netbeans.api.java/1 1.4
See Also:
  `JavadocForBinaryQuery`, `Project`

Method Summary
`JavadocForBinaryQuery.Result` | `findJavadoc(URL binaryRoot)` Find any Javadoc corresponding to the given classpath root containing Java classes.

Method Detail

### findJavadoc

    JavadocForBinaryQuery.Result findJavadoc(URL binaryRoot)

  Find any Javadoc corresponding to the given classpath root containing Java classes.

  Any absolute URL may be used but typically it will use the `file` protocol for directory entries and `jar` protocol for JAR entries (e.g. `jar:file:/tmp/foo.jar!/`).

  `JavadocForBinaryQuery.findJavadoc(java.net.URL)` calls this method on instances registered in default lookup until a non-null result is returned for the given binaryRoot.

  Parameters:
    `binaryRoot` - the class path root of Java class files
  Returns:
    a result object encapsulating the roots and permitting changes to be listened to, or null if the binary root is not recognized

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.